RemoteGymp · API v1
APIリファレンス
アクセスと動作
Reference examples are templates.プレースホルダーを置き換え、エンドポイントを実行する前に、エンドポイントのパラメーター、権限、スキーマを確認してください。不確実な書き込みの場合は、そのエンドポイントのリカバリおよび再試行ルールに従ってください。
ベアラー トークンとエンドポイントの権限が必要です。アクセスは資格情報の範囲に制限されたままになります。デバイスまたは管理アクションを使用する前に、機能を確認してください。
の検索結果: 289
結果が見つかりませんでした。
AI11
POST保存された AI アクションを読み取る/v1/assistant/actions
指定されたアシスタント スコープの保存されたアクションを読み取ります。
POST /v1/assistant/actions ↗mcp.cap.AssistantRead
スキーマ (OpenAPI)
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
AutomationScriptPlatform
0 = WindowsPowerShell51 1 = LinuxBash 2 = MacOsZsh 3 = WindowsCmd 4 = WindowsPowerShell7 5 = LinuxPowerShell7 6 = MacOsPowerShell7 7 = WindowsPython3 8 = LinuxPython3 9 = MacOsPython3
パラメータ
パス、クエリ、またはヘッダー パラメーターがありません。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"kind": 0
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/assistant/actions' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))リクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Read saved actions for the supplied assistant scope.",
"operationId": "post_v1_assistant_actions",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationHierarchyScope"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/AutomationAssistantSavedAction"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read saved AI actions",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantRead"
]
}POSTAI タスクを適用する/v1/assistant/apply
必要な承認と制約を使用して、アシスタント タスクからサポートされている作業を適用します。
POST /v1/assistant/apply ↗mcp.cap.AutomationManage + mcp.cap.AutomationExecute + mcp.cap.AssistantApply
パラメータ
パス、クエリ、またはヘッダー パラメーターがありません。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/assistant/apply' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))リクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Apply supported work from an assistant task using its required approvals and constraints.",
"operationId": "post_v1_assistant_apply",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Apply an AI task",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage",
"mcp.cap.AutomationExecute",
"mcp.cap.AssistantApply"
]
}GETAI 昇格アクション ポリシーの読み取り/v1/assistant/elevated-policy
作業を計画する前に、昇格されたアシスタントのアクションを管理するポリシーを検査してください。
GET /v1/assistant/elevated-policy ↗mcp.cap.AssistantRead
パラメータ
パス、クエリ、またはヘッダー パラメーターがありません。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/assistant/elevated-policy' `
-Headers $headersリクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Inspect the policy governing elevated assistant actions before planning work.",
"operationId": "get_v1_assistant_elevated_policy",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiAssistantPolicy"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read AI elevated-action policy",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantRead"
]
}POSTAI タスクを推定する/v1/assistant/estimate
提案されたアシスタント タスクを開始する前に見積もります。
POST /v1/assistant/estimate ↗mcp.cap.AssistantRead
スキーマ (OpenAPI)
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
パラメータ
パス、クエリ、またはヘッダー パラメーターがありません。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"execute": false,
"recipients": [
"<value>"
],
"request": "<value>",
"scope": {
"kind": 0
},
"submissionKey": "<value>",
"timeZoneId": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/assistant/estimate' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))リクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Estimate a proposed assistant task before starting it.",
"operationId": "post_v1_assistant_estimate",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationAssistantRequest"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationAssistantEstimate"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Estimate an AI task",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantRead"
]
}POSTAI パイロットを実行する/v1/assistant/pilot
より広範なロールアウトの前に、アシスタント タスクのパイロット ワークフローを実行します。
POST /v1/assistant/pilot ↗mcp.cap.AutomationExecute + mcp.cap.AssistantPilot
パラメータ
パス、クエリ、またはヘッダー パラメーターがありません。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"deviceId": "<UUID>",
"proposalId": "<UUID>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/assistant/pilot' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))リクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Run the assistant task's pilot workflow before a broader rollout.",
"operationId": "post_v1_assistant_pilot",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationAssistantPilot"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Run an AI pilot",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AutomationExecute",
"mcp.cap.AssistantPilot"
]
}GETAI レポートを読む/v1/assistant/reports
アシスタント タスクによって生成されたレポートを読み取ります。
GET /v1/assistant/reports ↗mcp.cap.AssistantRead
スキーマ (OpenAPI)
AutomationNotificationAudience
0 = None 1 = Owners 2 = Technicians 4 = Clients
AutomationNotificationChannel
0 = None 1 = InApp 2 = Email
DayOfWeek
0 = Sunday 1 = Monday 2 = Tuesday 3 = Wednesday 4 = Thursday 5 = Friday 6 = Saturday
AutomationScheduleKind
0 = Once 1 = Interval 2 = Daily 3 = Weekdays 4 = Weekly 5 = Monthly 6 = Cron
パラメータ
パス、クエリ、またはヘッダー パラメーターがありません。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/assistant/reports' `
-Headers $headersリクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Read reports produced by assistant tasks.",
"operationId": "get_v1_assistant_reports",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/AutomationReportScheduleView"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read AI reports",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantRead"
]
}POSTAI パイロットを再試行する/v1/assistant/retry-pilot
指定されたタスク コンテキストを使用して、アシスタント パイロットの再試行をリクエストします。
POST /v1/assistant/retry-pilot ↗mcp.cap.AutomationExecute + mcp.cap.AssistantPilot
パラメータ
パス、クエリ、またはヘッダー パラメーターがありません。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/assistant/retry-pilot' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))リクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Request a retry of the assistant pilot using the supplied task context.",
"operationId": "post_v1_assistant_retry_pilot",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Retry an AI pilot",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AutomationExecute",
"mcp.cap.AssistantPilot"
]
}POSTAI タスクを開始する/v1/assistant/start
提供されたターゲットと命令を使用してアシスタント タスクを開始します。
POST /v1/assistant/start ↗mcp.cap.AssistantPropose
スキーマ (OpenAPI)
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
パラメータ
パス、クエリ、またはヘッダー パラメーターがありません。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"acceptQuotedCharge": false,
"estimateToken": "<estimateToken>",
"request": {
"execute": false,
"recipients": [
"<value>"
],
"request": "<value>",
"scope": {
"kind": 0
},
"submissionKey": "<value>",
"timeZoneId": "<value>"
}
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/assistant/start' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))リクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Start an assistant task with the supplied targets and instructions.",
"operationId": "post_v1_assistant_start",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationAssistantStart"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Start an AI task",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantPropose"
]
}POSTAI ターゲット コンテキストを検査する/v1/assistant/target-context
アシスタント タスクの準備に使用される許可されたターゲット コンテキストを読み取ります。
POST /v1/assistant/target-context ↗mcp.cap.AssistantRead
スキーマ (OpenAPI)
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
パラメータ
パス、クエリ、またはヘッダー パラメーターがありません。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"scope": {
"kind": 0
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/assistant/target-context' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))リクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Read the permitted target context used to prepare an assistant task.",
"operationId": "post_v1_assistant_target_context",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationAssistantTargets"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationAssistantTargetContext"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Inspect AI target context",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantRead"
]
}GETAI タスクのリスト/v1/assistant/tasks
資格情報に表示される AI アシスタント タスクを参照します。
GET /v1/assistant/tasks ↗mcp.cap.AssistantRead
パラメータ
パス、クエリ、またはヘッダー パラメーターがありません。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/assistant/tasks' `
-Headers $headersリクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Browse AI assistant tasks visible to your credential.",
"operationId": "get_v1_assistant_tasks",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/AutomationAssistantHistoryItem"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List AI tasks",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantRead"
]
}GETAI タスクを取得する/v1/assistant/tasks/{id}
1 つのアシスタント タスクの状態と詳細を読み取ります。
GET /v1/assistant/tasks/{id} ↗mcp.cap.AssistantRead
スキーマ (OpenAPI)
AutomationNotificationAudience
0 = None 1 = Owners 2 = Technicians 4 = Clients
AutomationNotificationChannel
0 = None 1 = InApp 2 = Email
AutomationSimpleActionKind
0 = Script 1 = Notification 2 = RefreshFacts 3 = ControlService 4 = RestartDevice 5 = WindowsDiskCleanup 6 = LinuxMaintenance 7 = WakeDevice 8 = SendUserMessage 9 = UninstallSoftware
LinuxMaintenanceAction
0 = RefreshPackageInventory 1 = InstallPackageUpdates 2 = RefreshFirmwareMetadata 3 = InstallFirmwareUpdates 4 = InstallAllUpdates
AutomationOutcomeMatch
0 = Failure 1 = Success 2 = Always 3 = ResultMatches
AutomationNotificationSeverity
0 = Information 1 = Warning 2 = Critical 3 = Recovery
AutomationScriptPlatform
0 = WindowsPowerShell51 1 = LinuxBash 2 = MacOsZsh 3 = WindowsCmd 4 = WindowsPowerShell7 5 = LinuxPowerShell7 6 = MacOsPowerShell7 7 = WindowsPython3 8 = LinuxPython3 9 = MacOsPython3
ServiceAction
0 = Start 1 = Stop 2 = Restart
SoftwareKind
0 = ClassicDesktop 1 = PackagedApp
AutomationTruthValue
0 = False 1 = True 2 = Unknown
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
パラメータ
id· パス · が必要です- 対応するリソースリストまたは作成結果によって返される識別子。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/assistant/tasks/<id>' `
-Headers $headersリクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Read one assistant task's state and details.",
"operationId": "get_v1_assistant_tasks_id",
"parameters": [
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "id",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationAssistantResult"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get an AI task",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantRead"
]
}API5
POSTアクセストークンを取得する/v1/auth/token
API 資格情報を、後続のリクエストで使用する有効期間の短いベアラー トークンと交換します。
POST /v1/auth/token ↗[設定] → [API アクセス] で作成した API 認証情報を使用します。この交換には無記名トークンは必要ありません。
password: この JSON フィールドには、アカウントのログイン パスワードではなく、API 認証情報のシークレットが含まれます。
パラメータ
パス、クエリ、またはヘッダー パラメーターがありません。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
'Content-Type' = 'application/json'
}
$body = '{
"password": "<your-API-credential-secret>",
"username": "<your-API-credential-username>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/auth/token' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))リクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Exchange API username and credential password for an opaque bearer token valid for 1800 seconds. Network, paid entitlement and regional token-attempt limits apply.",
"operationId": "post_v1_auth_token",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/TokenRequest"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PublicApiTokenResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"summary": "Get an access token",
"tags": [
"API"
]
}GET利用可能な機能を確認する/v1/capabilities
統合を使用する前に、資格情報で利用できる機能、権限、制限を確認してください。
GET /v1/capabilities ↗パラメータ
パス、クエリ、またはヘッダー パラメーターがありません。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/capabilities' `
-Headers $headersリクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "See the features, permissions and limits available to your credential before using an integration.",
"operationId": "get_v1_capabilities",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/CapabilitiesResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Check available features",
"tags": [
"API"
],
"x-required-capabilities": []
}GETAPI アクセスを確認します/v1/health
資格情報が API に到達し、認証できることを確認します。
GET /v1/health ↗パラメータ
パス、クエリ、またはヘッダー パラメーターがありません。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/health' `
-Headers $headersリクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Check that your credential can reach and authenticate with the API.",
"operationId": "get_v1_health",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/HealthResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Check API access",
"tags": [
"API"
],
"x-required-capabilities": []
}GETインストーラー オプションを確認する/v1/management/installers/capabilities
このホストで利用可能なインストーラー機能を確認します。
GET /v1/management/installers/capabilities ↗mcp.cap.EnrollmentRead
パラメータ
パス、クエリ、またはヘッダー パラメーターがありません。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/management/installers/capabilities' `
-Headers $headersリクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Discover the installer capabilities available on this host.",
"operationId": "get_v1_management_installers_capabilities",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiInstallerCapabilities"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Check installer options",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.EnrollmentRead"
]
}GET操作能力の確認/v1/operations/capabilities
デバイスのアクションを試行する前に、統合操作機能を確認してください。
GET /v1/operations/capabilities ↗パラメータ
パス、クエリ、またはヘッダー パラメーターがありません。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/operations/capabilities' `
-Headers $headersリクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Discover integration operation capabilities before attempting device actions.",
"operationId": "get_v1_operations_capabilities",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiOperationCapabilities"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Check operation capabilities",
"tags": [
"Operations"
],
"x-required-capabilities": []
}アラート6
GETアラートのリスト/v1/alerts
モニター アラートを参照します。未解決のアラートはデフォルトで返されます。解決された履歴を含めるには、state=all を使用します。
GET /v1/alerts ↗mcp.cap.InventoryRead
スキーマ (OpenAPI)
state
"all" "Open" "Acknowledged" "Resolved"
severity
"Information" "Warning" "Critical" "Recovery"
ページ分割された型付きモニターのアラート履歴。デフォルトは未解決です。 state=all には解決された履歴が含まれます。 companyId フィルターと deviceId フィルターは資格情報スコープ内に残ります。
パラメータ
pageSize· クエリ · オプション- このページにリクエストされるアイテムの最大数。エンドポイント固有の制限により、ページ サイズが小さくなる可能性があります。
after· クエリ · オプション- 前の応答からの継続位置。最初のページでは省略します。続行する場合は同じフィルターを維持します。
companyId· クエリ · オプション- 会社識別子。クエリ パラメータにより、結果がこの会社に絞り込まれます。資格情報の範囲が拡張されることはありません。
deviceId· クエリ · オプション- 対応するデバイス リストによって返されるデバイス識別子。管理対象エージェントと検出されたネットワーク デバイスは異なる識別子を持ちます。
state· クエリ · オプション- オープンおよび確認済みアラートの返送を省略します。特定の状態の場合はOpen、Acknowledged、Resolvedのいずれかを、すべての状態の場合はすべてを指定してください。
severity· クエリ · オプション- 通知の重大度によってアラートをフィルターします。
monitorId· クエリ · オプション- 読み取りまたはフィルター処理するモニターの識別子。
observedFrom· クエリ · オプション- このタイムスタンプ以降に最後に観測されたアラート (UTC オフセットを含む) を含めます。
observedTo· クエリ · オプション- このタイムスタンプより前に最後に観測されたアラートを含めます。開始タイムスタンプより後である必要があります。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/alerts' `
-Headers $headersリクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Paginated typed monitor alert history. Default is unresolved; state=all includes resolved history. companyId and deviceId filters remain inside credential scope.",
"operationId": "get_v1_alerts",
"parameters": [
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Continuation position from the previous response. Omit for the first page; keep the same filters when continuing.",
"in": "query",
"name": "after",
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "query",
"name": "companyId",
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "query",
"name": "deviceId",
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Omit to return open and acknowledged alerts. Use Open, Acknowledged or Resolved for one state, or all for every state.",
"in": "query",
"name": "state",
"schema": {
"enum": [
"all",
"Open",
"Acknowledged",
"Resolved"
],
"type": "string"
}
},
{
"description": "Filter alerts by notification severity.",
"in": "query",
"name": "severity",
"schema": {
"enum": [
"Information",
"Warning",
"Critical",
"Recovery"
],
"type": "string"
}
},
{
"description": "Identifier of the monitor to read or filter by.",
"in": "query",
"name": "monitorId",
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Include alerts last observed at or after this timestamp, including a UTC offset.",
"in": "query",
"name": "observedFrom",
"schema": {
"format": "date-time",
"type": "string"
}
},
{
"description": "Include alerts last observed before this timestamp. It must be later than the start timestamp.",
"in": "query",
"name": "observedTo",
"schema": {
"format": "date-time",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PageOfAlertResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List alerts",
"tags": [
"Alerts"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}POSTアラートを確認する/v1/alerts/{alertId}/acknowledge
未解決のアラートを、現在のリビジョンを使用して確認済みとしてマークします。古いリビジョンは拒否されます。更新された確認応答が直接返されますが、障害は修正されません。
POST /v1/alerts/{alertId}/acknowledge ↗mcp.cap.AlertWrite
パラメータ
alertId· パス · が必要です- アラート エンドポイントによって返されるアラートの識別子。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"revision": 1
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/alerts/<alertId>/acknowledge' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))リクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Mark an unresolved alert as acknowledged using its current revision. A stale revision is rejected. Returns the updated acknowledgement directly; it does not fix the fault.",
"operationId": "post_v1_alerts_alertId_acknowledge",
"parameters": [
{
"description": "Identifier of the alert returned by the alerts endpoint.",
"in": "path",
"name": "alertId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RevisionRequest"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AcknowledgementResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Acknowledge an alert",
"tags": [
"Alerts"
],
"x-required-capabilities": [
"mcp.cap.AlertWrite"
]
}GETアラートのチケット リンクを取得する/v1/alerts/{alertId}/ticket
アラートに添付されている外部チケット参照、URL、状態、およびバージョンを読み取ります。
GET /v1/alerts/{alertId}/ticket ↗mcp.cap.InventoryRead
パラメータ
alertId· パス · が必要です- アラート エンドポイントによって返されるアラートの識別子。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/alerts/<alertId>/ticket' `
-Headers $headersリクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Read the external ticket reference, URL, state and version attached to an alert.",
"operationId": "get_v1_alerts_alertId_ticket",
"parameters": [
{
"description": "Identifier of the alert returned by the alerts endpoint.",
"in": "path",
"name": "alertId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/TicketResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get an alert's ticket link",
"tags": [
"Alerts"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}PATCHアラートのチケット リンクを更新する/v1/alerts/{alertId}/ticket
最後に読み取ったバージョンを使用して外部チケット参照を保存します。チケットを閉じてもアラートは解決されません。
PATCH /v1/alerts/{alertId}/ticket ↗mcp.cap.AlertWrite
パラメータ
alertId· パス · が必要です- アラート エンドポイントによって返されるアラートの識別子。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"externalId": "<value>",
"state": "<value>",
"url": "<value>",
"version": 1
}'
Invoke-RestMethod -Method PATCH `
-Uri 'https://api.remotegymp.com/v1/alerts/<alertId>/ticket' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))リクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Save an external ticket reference using the last-read version. Closing the ticket does not resolve the alert.",
"operationId": "patch_v1_alerts_alertId_ticket",
"parameters": [
{
"description": "Identifier of the alert returned by the alerts endpoint.",
"in": "path",
"name": "alertId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/TicketRequest"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/TicketResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Update an alert's ticket link",
"tags": [
"Alerts"
],
"x-required-capabilities": [
"mcp.cap.AlertWrite"
]
}POST複数のデバイスのアラートを取得する/v1/alerts:batch-query
指定されたデバイスのセットについて記録されたアラートを 1 つのリクエストで読み取ります。
POST /v1/alerts:batch-query ↗mcp.cap.InventoryRead
パラメータ
パス、クエリ、またはヘッダー パラメーターがありません。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"ids": [
"<UUID>"
]
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/alerts:batch-query' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))リクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Read recorded alerts for a supplied set of devices in one request.",
"operationId": "post_v1_alerts_batch_query",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IdBatch"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ItemCollectionOfAlertResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get alerts for several devices",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETデバイスアラートを取得する/v1/devices/{deviceId}/alerts
1 つのデバイスの記録されたアラートを読み取ります。
GET /v1/devices/{deviceId}/alerts ↗mcp.cap.InventoryRead
パラメータ
deviceId· パス · が必要です- 対応するデバイス リストによって返されるデバイス識別子。管理対象エージェントと検出されたネットワーク デバイスは異なる識別子を持ちます。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/alerts' `
-Headers $headersリクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Read recorded alerts for one device.",
"operationId": "get_v1_devices_deviceId_alerts",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ItemCollectionOfAlertResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get device alerts",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}オートメーション72
PUTアラートルーティングを保存する/v1/automation/alert-routing
FullAccessおよび現在の所有者権限が必要です。冪等性キーを提供し、同じリクエストを不確実after再利用し、操作領収書を確認します。
PUT /v1/automation/alert-routing ↗mcp.cap.AutomationManage + mcp.cap.AlertWrite
スキーマ (OpenAPI)
AutomationAlertRoutingKind
0 = QuietHours 1 = ParentDependency
パラメータ
パス、クエリ、またはヘッダー パラメーターがありません。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"companyId": "<UUID>",
"expectedRevision": 1,
"id": "<UUID>",
"kind": 0,
"name": "<value>"
}
}'
Invoke-RestMethod -Method PUT `
-Uri 'https://api.remotegymp.com/v1/automation/alert-routing' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))リクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Requires FullAccess and current owner authority. Supply an idempotency key, reuse the identical request after uncertainty, and inspect the operation receipt.",
"operationId": "put_v1_automation_alert_routing",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfAutomationAlertRoutingInput"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Save alert routing",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage",
"mcp.cap.AlertWrite"
]
}POSTアラートルーティングの検証/v1/automation/alert-routing/validate
現在のスコープ証拠を読みます。欠損した証拠は不明です。エンドポイントアクションやAIチャージは開始されていません。
POST /v1/automation/alert-routing/validate ↗mcp.cap.AutomationRead
スキーマ (OpenAPI)
AutomationAlertRoutingKind
0 = QuietHours 1 = ParentDependency
パラメータ
パス、クエリ、またはヘッダー パラメーターがありません。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"companyId": "<UUID>",
"expectedRevision": 1,
"id": "<UUID>",
"kind": 0,
"name": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/alert-routing/validate' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))リクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "post_v1_automation_alert_routing_validate",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationAlertRoutingInput"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationValidation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Validate alert routing",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}POSTモニター アラートを確認する/v1/automation/alerts/{id}/acknowledge
自動化サービスを介してアラートを確認します。リクエスト本文にidempotencyKeyを送信し、返された操作レシートに従います。障害は修正されません。
POST /v1/automation/alerts/{id}/acknowledge ↗mcp.cap.AutomationManage
パラメータ
id· パス · が必要です- 対応するリソースリストまたは作成結果によって返される識別子。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/alerts/<id>/acknowledge' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))リクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Acknowledge an alert through the automation service. Send idempotencyKey in the request body and follow the returned operation receipt. It does not fix the fault.",
"operationId": "post_v1_automation_alerts_id_acknowledge",
"parameters": [
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "id",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationAutomationKey"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Acknowledge a monitor alert",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage"
]
}GETリストアラートルーティング/v1/automation/companies/{companyId}/alert-routing
現在のスコープ証拠を読みます。欠損した証拠は不明です。エンドポイントアクションやAIチャージは開始されていません。
GET /v1/automation/companies/{companyId}/alert-routing ↗mcp.cap.AutomationRead
スキーマ (OpenAPI)
AutomationAlertRoutingKind
0 = QuietHours 1 = ParentDependency
パラメータ
companyId· パス · が必要です- 会社識別子。クエリ パラメータにより、結果がこの会社に絞り込まれます。資格情報の範囲が拡張されることはありません。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/automation/companies/<companyId>/alert-routing' `
-Headers $headersリクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "get_v1_automation_companies_companyId_alert_routing",
"parameters": [
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "path",
"name": "companyId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/AutomationAlertRoutingInput"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List alert routing",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}PUTセーブパッチの除外事項/v1/automation/companies/{companyId}/patch-exclusions
FullAccessおよび現在の所有者権限が必要です。冪等性キーを提供し、同じリクエストを不確実after再利用し、操作領収書を確認します。
PUT /v1/automation/companies/{companyId}/patch-exclusions ↗mcp.cap.PatchingManage + mcp.cap.PatchingExecute
パラメータ
companyId· パス · が必要です- 会社識別子。クエリ パラメータにより、結果がこの会社に絞り込まれます。資格情報の範囲が拡張されることはありません。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": [
"<UUID>"
]
}'
Invoke-RestMethod -Method PUT `
-Uri 'https://api.remotegymp.com/v1/automation/companies/<companyId>/patch-exclusions' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))リクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Requires FullAccess and current owner authority. Supply an idempotency key, reuse the identical request after uncertainty, and inspect the operation receipt.",
"operationId": "put_v1_automation_companies_companyId_patch_exclusions",
"parameters": [
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "path",
"name": "companyId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid[]"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Save patch exclusions",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.PatchingManage",
"mcp.cap.PatchingExecute"
]
}GETリストタグ/v1/automation/companies/{companyId}/tags
現在のスコープ証拠を読みます。欠損した証拠は不明です。エンドポイントアクションやAIチャージは開始されていません。
GET /v1/automation/companies/{companyId}/tags ↗mcp.cap.AutomationRead
パラメータ
companyId· パス · が必要です- 会社識別子。クエリ パラメータにより、結果がこの会社に絞り込まれます。資格情報の範囲が拡張されることはありません。
after· クエリ · オプション- 前の応答からの継続位置。最初のページでは省略します。続行する場合は同じフィルターを維持します。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/automation/companies/<companyId>/tags' `
-Headers $headersリクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "get_v1_automation_companies_companyId_tags",
"parameters": [
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "path",
"name": "companyId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Continuation position from the previous response. Omit for the first page; keep the same filters when continuing.",
"in": "query",
"name": "after",
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationTagPage"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List tags",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}GETリスト設定ポリシー/v1/automation/configuration-policies
現在のスコープ証拠を読みます。欠損した証拠は不明です。エンドポイントアクションやAIチャージは開始されていません。
GET /v1/automation/configuration-policies ↗mcp.cap.AutomationRead
スキーマ (OpenAPI)
ConfigurationBaselineControl
0 = Firewall 1 = BitLocker 2 = LocalAdministrators 3 = ScreenLock 4 = UsbStorage
ConfigurationBaselineMode
0 = Audit 1 = Enforce
BaselineUsbAccess
0 = Allow 1 = ReadOnly 2 = Block
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
DayOfWeek
0 = Sunday 1 = Monday 2 = Tuesday 3 = Wednesday 4 = Thursday 5 = Friday 6 = Saturday
AutomationSimpleTriggerKind
0 = Once 1 = EveryMinutes 2 = Daily 3 = Weekdays 4 = Weekly 5 = Monthly 6 = DeviceOnline 7 = DeviceOffline 8 = DeviceBooted 9 = FactsChanged 10 = UserLogon 11 = UserLogoff 12 = SessionLocked 13 = SessionUnlocked 14 = RdpConnected 15 = RdpDisconnected 16 = MachineShuttingDown 17 = MachinePoweredOn 18 = AgentServiceStarted 19 = AgentServiceStopped 20 = MachineSuspending 21 = MachineResumed 22 = Cron
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
AutomationState
0 = Draft 1 = Enabled 2 = Paused 3 = Archived
パラメータ
パス、クエリ、またはヘッダー パラメーターがありません。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/automation/configuration-policies' `
-Headers $headersリクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "get_v1_automation_configuration_policies",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/ConfigurationBaselineListItem"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List configuration policies",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}POST設定ポリシーを作成する/v1/automation/configuration-policies
FullAccessおよび現在の所有者権限が必要です。冪等性キーを提供し、同じリクエストを不確実after再利用し、操作領収書を確認します。
POST /v1/automation/configuration-policies ↗mcp.cap.AutomationManage + mcp.cap.SettingsManage
スキーマ (OpenAPI)
ConfigurationBaselineControl
0 = Firewall 1 = BitLocker 2 = LocalAdministrators 3 = ScreenLock 4 = UsbStorage
ConfigurationBaselineMode
0 = Audit 1 = Enforce
BaselineUsbAccess
0 = Allow 1 = ReadOnly 2 = Block
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
DayOfWeek
0 = Sunday 1 = Monday 2 = Tuesday 3 = Wednesday 4 = Thursday 5 = Friday 6 = Saturday
AutomationSimpleTriggerKind
0 = Once 1 = EveryMinutes 2 = Daily 3 = Weekdays 4 = Weekly 5 = Monthly 6 = DeviceOnline 7 = DeviceOffline 8 = DeviceBooted 9 = FactsChanged 10 = UserLogon 11 = UserLogoff 12 = SessionLocked 13 = SessionUnlocked 14 = RdpConnected 15 = RdpDisconnected 16 = MachineShuttingDown 17 = MachinePoweredOn 18 = AgentServiceStarted 19 = AgentServiceStopped 20 = MachineSuspending 21 = MachineResumed 22 = Cron
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
パラメータ
パス、クエリ、またはヘッダー パラメーターがありません。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"description": "<value>",
"name": "<value>",
"policy": {
"control": 0
},
"schedule": {
"kind": 0
},
"scope": {
"kind": 0
}
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/configuration-policies' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))リクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Requires FullAccess and current owner authority. Supply an idempotency key, reuse the identical request after uncertainty, and inspect the operation receipt.",
"operationId": "post_v1_automation_configuration_policies",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfConfigurationBaselineInput"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Create configuration policy",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage",
"mcp.cap.SettingsManage"
]
}POSTプレビュー設定ポリシー/v1/automation/configuration-policies/preview
現在のスコープ証拠を読みます。欠損した証拠は不明です。エンドポイントアクションやAIチャージは開始されていません。
POST /v1/automation/configuration-policies/preview ↗mcp.cap.AutomationRead + mcp.cap.SecurityRead
スキーマ (OpenAPI)
ConfigurationBaselineControl
0 = Firewall 1 = BitLocker 2 = LocalAdministrators 3 = ScreenLock 4 = UsbStorage
ConfigurationBaselineMode
0 = Audit 1 = Enforce
BaselineUsbAccess
0 = Allow 1 = ReadOnly 2 = Block
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
DayOfWeek
0 = Sunday 1 = Monday 2 = Tuesday 3 = Wednesday 4 = Thursday 5 = Friday 6 = Saturday
AutomationSimpleTriggerKind
0 = Once 1 = EveryMinutes 2 = Daily 3 = Weekdays 4 = Weekly 5 = Monthly 6 = DeviceOnline 7 = DeviceOffline 8 = DeviceBooted 9 = FactsChanged 10 = UserLogon 11 = UserLogoff 12 = SessionLocked 13 = SessionUnlocked 14 = RdpConnected 15 = RdpDisconnected 16 = MachineShuttingDown 17 = MachinePoweredOn 18 = AgentServiceStarted 19 = AgentServiceStopped 20 = MachineSuspending 21 = MachineResumed 22 = Cron
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
パラメータ
パス、クエリ、またはヘッダー パラメーターがありません。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"description": "<value>",
"name": "<value>",
"policy": {
"control": 0
},
"schedule": {
"kind": 0
},
"scope": {
"kind": 0
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/configuration-policies/preview' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))リクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "post_v1_automation_configuration_policies_preview",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ConfigurationBaselineInput"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationSimpleScopePreview"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Preview configuration policy",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead",
"mcp.cap.SecurityRead"
]
}POSTパッチWindowsインストールしてください/v1/automation/devices/{deviceId}/patch-install
FullAccessおよび現在の所有者権限が必要です。冪等性キーを提供し、同じリクエストを不確実after再利用し、操作領収書を確認します。
POST /v1/automation/devices/{deviceId}/patch-install ↗mcp.cap.PatchingExecute
パラメータ
deviceId· パス · が必要です- 対応するデバイス リストによって返されるデバイス識別子。管理対象エージェントと検出されたネットワーク デバイスは異なる識別子を持ちます。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"revisionNumber": 1,
"updateId": "<value>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/devices/<deviceId>/patch-install' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))リクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Requires FullAccess and current owner authority. Supply an idempotency key, reuse the identical request after uncertainty, and inspect the operation receipt.",
"operationId": "post_v1_automation_devices_deviceId_patch_install",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfPatchUpdateIdentity"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Install Windows patch",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.PatchingExecute"
]
}GETデバイスタグを入手してください/v1/automation/devices/{deviceId}/tags
現在のスコープ証拠を読みます。欠損した証拠は不明です。エンドポイントアクションやAIチャージは開始されていません。
GET /v1/automation/devices/{deviceId}/tags ↗mcp.cap.AutomationRead
パラメータ
deviceId· パス · が必要です- 対応するデバイス リストによって返されるデバイス識別子。管理対象エージェントと検出されたネットワーク デバイスは異なる識別子を持ちます。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/automation/devices/<deviceId>/tags' `
-Headers $headersリクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "get_v1_automation_devices_deviceId_tags",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/IntegrationTagView"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get device tags",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}PUTデバイスタグの割り当て/v1/automation/devices/{deviceId}/tags
FullAccessおよび現在の所有者権限が必要です。冪等性キーを提供し、同じリクエストを不確実after再利用し、操作領収書を確認します。
PUT /v1/automation/devices/{deviceId}/tags ↗mcp.cap.AutomationManage
パラメータ
deviceId· パス · が必要です- 対応するデバイス リストによって返されるデバイス識別子。管理対象エージェントと検出されたネットワーク デバイスは異なる識別子を持ちます。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": [
"<UUID>"
]
}'
Invoke-RestMethod -Method PUT `
-Uri 'https://api.remotegymp.com/v1/automation/devices/<deviceId>/tags' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))リクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Requires FullAccess and current owner authority. Supply an idempotency key, reuse the identical request after uncertainty, and inspect the operation receipt.",
"operationId": "put_v1_automation_devices_deviceId_tags",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid[]"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Assign device tags",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage"
]
}POSTアップデートWindowsリセット/v1/automation/devices/{deviceId}/update-reset
FullAccessおよび現在の所有者権限が必要です。冪等性キーを提供し、同じリクエストを不確実after再利用し、操作領収書を確認します。
POST /v1/automation/devices/{deviceId}/update-reset ↗mcp.cap.PatchingExecute
パラメータ
deviceId· パス · が必要です- 対応するデバイス リストによって返されるデバイス識別子。管理対象エージェントと検出されたネットワーク デバイスは異なる識別子を持ちます。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/devices/<deviceId>/update-reset' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))リクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Requires FullAccess and current owner authority. Supply an idempotency key, reuse the identical request after uncertainty, and inspect the operation receipt.",
"operationId": "post_v1_automation_devices_deviceId_update_reset",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationAutomationKey"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Reset Windows update",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.PatchingExecute"
]
}POSTパッチ ポリシーを実行する/v1/automation/devices/{id}/patch-runs
選択した許可されたデバイス上で実行されるパッチ ポリシーを要求します。
POST /v1/automation/devices/{id}/patch-runs ↗mcp.cap.PatchingExecute
パラメータ
id· パス · が必要です- 対応するリソースリストまたは作成結果によって返される識別子。
リクエストの例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/devices/<id>/patch-runs' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))リクエストとレスポンスのスキーマ (OpenAPI)
{
"description": "Request a patch-policy run on the selected authorised device.",
"operationId": "post_v1_automation_devices_id_patch_runs",
"parameters": [
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "id",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationAutomationKey"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Run a patch policy",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.PatchingExecute"
]
}GETデバイスのパッチ ポリシー ステータスの読み取り/v1/automation/devices/{id}/patch-status
デバイスのパッチ ポリシー ステータスと報告されたパッチ情報を読み取ります。
GET /v1/automation/devices/{id}/patch-status ↗mcp.cap.PatchingRead
スキーマ (OpenAPI)
PatchRebootBehavior
0 = Unknown 1 = Never 2 = Always 3 = CanRequest
PatchSeverity
0 = Unknown 1 = Low 2 = Moderate 3 = Important 4 = Critical
PatchUpdateType
0 = Unknown 1 = Software 2 = Driver
PatchComplianceState
0 = Unknown 1 = Compliant 2 = MissingUpdates 3 = ScanFailed 4 = Unsupported
パラメータ
[...]
